<% if params.dig("filter", "with_availability").present? && params["filter"]["with_availability"] == "withdrawn" %>
  <div class="callout warning">
    <%= t("decidim.meetings.meetings.index.text_banner",
          go_back_link: link_to(t("decidim.meetings.meetings.index.click_here"), meetings_path("filter[with_availability]" => nil)),
          ).html_safe %>
  </div>
<% end %>
<% if @forced_past_meetings %>
  <div class="callout warning">
    <%= t ".upcoming_meetings_warning" %>
  </div>
<% elsif meetings.length == 0 %>
  <div class="callout warning">
    <%= t ".no_meetings_warning" %>
  </div>
<% end %>
<div class="meeting-container">
  <p id="meetings-count" class="title-action__title section-heading meeting-counter-text">
    <%= render partial: "count" %>
  </p>
  <div class="export-buttons">
    <%= render partial: "decidim/shared/export_modal" %>
    <%= render partial: "decidim/meetings/calendar_modal", locals: {
        path: short_url(
          route_name: "calendar",
          params: { filter: params.fetch(:filter, {}).try(:to_unsafe_hash) }
        )}
      %>
  </div>
</div>
<div class="card-grid component-content">
  <% meetings.each do |meeting| %>
    <%= card_for meeting %>
  <% end %>
</div>
<%= decidim_paginate meetings, order_start_time: params[:order_start_time], with_any_scope: params[:with_any_scope] %>
<div class="paginate-container">
  <%= decidim_paginate meetings %>
  <%= render partial: "decidim/shared/results_per_page" %>
</div>
<div class="row">
  <div class="text-right">
    <% if params.dig("filter", "with_availability").present? && params["filter"]["with_availability"] == "withdrawn" %>
      <%= link_to t("decidim.meetings.meetings.index.see_all"), meetings_path("filter[with_availability]" => nil) %>
    <% else %>
      <%= link_to t("decidim.meetings.meetings.index.see_all_withdrawn"), meetings_path("filter[with_availability]" => "withdrawn") %>
    <% end %>
  </div>
</div>
